import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {  Response } from '@angular/http';
import { AppService } from '../../service/appHttpService';

import { ContactListPage } from '../contactList/contactList';

@IonicPage()
@Component({
  selector: 'page-contract-personinfo',
  templateUrl: 'contract-personinfo.html',
})
export class ContractPersoninfoPage {

  contactPersonInfo = {};

  userRelEntity = {
    relUserId:'',
    moduleName:'appcontact',
  }

  constructor(
    public navCtrl: NavController, 
    public navParams: NavParams,
    public appService:AppService
  ) {
  }

  ionViewDidLoad() {
    this.contactPersonInfo = this.navParams.get("contactPerson");
    console.log("contactPersonInfo:"+this.contactPersonInfo);
    this.userRelEntity.relUserId = this.contactPersonInfo["id"];

  }
  //添加常用联系人
  addcontactPersons(){
    this.appService.ObserverHttpPost("/wisdomgroup/app/contact/addGeneralContactPersons",this.userRelEntity)
    .subscribe((res: Response) => {
        let data = res.json();
        console.log("data:"+data);
        if(data["result"] == '2'){
          this.appService.popToastView('该联系人已在常用联系人中！','top',2000);
        }else if(data["result"] == '3'){
          this.appService.popToastView('添加常用联系人失败！','top',2000);
        }else{
          //this.appService.popToastView('添加常用联系人成功！','top',2000);
          this.navCtrl.push("ContactListPage"); 
        }
        //this.navCtrl.pop();
      }, error => {        
          this.appService.alert('网络异常！');    
      }   
    );
  }
  //移除常用联系人
  cancelGenaralPersons(){
    this.appService.ObserverHttpPost("/wisdomgroup/app/contact/deleteGeneralContactPersons",this.userRelEntity)
    .subscribe((res: Response) => {
        let data = res.json();
        console.log("data:"+data);
        this.navCtrl.push("ContactListPage"); 
      }, error => {        
          this.appService.alert('网络异常！');    
      }   
    );
  }

  call(number){
    console.log("拨打:" + number);
    window.location.href = "tel:" + number;
  }
}
